from fpdf import FPDF
import glob
from fpdf.enums import XPos, YPos

A4W = 210
A4H = 297

pdf = FPDF()
pdf.add_page()
pdf.add_font("DejaVu","","DejaVuSansCondensed.ttf",uni=True)

#Tytuł
pdf.set_font("DejaVu",size=32)
pdf.set_text_color(255,0,0)
pdf.text(x=40,y=20,text="Oferta biura podrozy")

#Dodanie logo firmy
pdf.image("logo.png", x=A4W*0.25, y=A4W*0.25, w=A4W*0.5, h=A4W*0.5)

#Dodanie tekstu oferty wycieczki
pdf.set_text_color(0,0,0)
pdf.set_font("DejaVu",size=24)
pdf.text(x=40,y=A4W*0.75+20, text="Oferta wycieczki - Słońce pustyni")

#pętla zczytująca atrakcje
for image_path in glob.glob("atrakcje_grafiki/*"):
    attraction = image_path[:-4].replace("atrakcje_grafiki\\","") #zmienna z nazwą atrakcji
    text_path = f"atrakcje_opisy/{attraction}.txt" # na podstawie atrakcji tworzymy scieżkę do tekstu
    pdf.add_page()# nowa strona
    pdf.set_font("DejaVu", size=24)
    pdf.cell(200,20,text=f"Nazwa atrakcji: {attraction.replace("_"," ").capitalize()}", new_x=XPos.LEFT,new_y=YPos.NEXT)# dodanie tekstu
    pdf.cell(200,10,link=pdf.image(image_path,w=195,h=120),new_x=XPos.LEFT, new_y=YPos.NEXT,align="L" ) #grafika
    pdf.set_font("DejaVu",size=12)
    with open(text_path, "r", encoding="utf-8") as file:
        description = file.read()
        pdf.multi_cell(200,10,text=description,new_x=XPos.LEFT, new_y=YPos.NEXT,align="L" )

pdf.output("Oferta_biura_podrozy.pdf")